### Enumeration

# AppStreamCompose IconState

#### Declaration

    enum AppStreamCompose.IconState

#### Description [src]

Designated state for an icon of a given size.

#### Members

`ASC_ICON_STATE_IGNORED`

  Ignore icons of this size.

  - Value: `0`
  - Available since: 1.0
`ASC_ICON_STATE_CACHED_REMOTE`

  Create cache for the icon, and provide remote link as well.

  - Value: `1`
  - Available since: 1.0
`ASC_ICON_STATE_CACHED_ONLY`

  Set if the icon should be stored in an icon tarball and be cached locally.

  - Value: `2`
  - Available since: 1.0
`ASC_ICON_STATE_REMOTE_ONLY`

  Set if this icon should be stored remotely and fetched on demand.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### asc_icon_state_from_string

Converts the text representation to an enumerated value.

###### asc_icon_state_to_string

Converts the enumerated value to an text representation.